Skip to main content
POST
/
v2
/
invoices
Upload an invoice for parsing
curl --request POST \
  --url https://{region}.affinda.com/v2/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form url=https://api.affinda.com/static/sample_invoices/example.pdf \
  --form 'identifier=<string>' \
  --form 'customIdentifier=<string>' \
  --form fileName=Document.pdf \
  --form wait=true \
  --form rejectDuplicates=true \
  --form language=en \
  --form expiryTime=2023-11-07T05:31:56Z \
  --form 'regionBias={"country": "vn"}' \
  --form lowPriority=true
import requests

url = "https://{region}.affinda.com/v2/invoices"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"url": "https://api.affinda.com/static/sample_invoices/example.pdf",
"identifier": "<string>",
"customIdentifier": "<string>",
"fileName": "Document.pdf",
"wait": "true",
"rejectDuplicates": "true",
"language": "en",
"expiryTime": "2023-11-07T05:31:56Z",
"regionBias": "{\"country\": \"vn\"}",
"lowPriority": "true"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('url', 'https://api.affinda.com/static/sample_invoices/example.pdf');
form.append('identifier', '<string>');
form.append('customIdentifier', '<string>');
form.append('fileName', 'Document.pdf');
form.append('wait', 'true');
form.append('rejectDuplicates', 'true');
form.append('language', 'en');
form.append('expiryTime', '2023-11-07T05:31:56Z');
form.append('regionBias', '{"country": "vn"}');
form.append('lowPriority', 'true');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://{region}.affinda.com/v2/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "clientVerifiedDt": "<string>",
  "data": {
    "tables": [
      {
        "rows": [
          {
            "code": "<string>",
            "date": "2022-07-01",
            "description": "<string>",
            "unit": "<string>",
            "unitPrice": 123,
            "quantity": 123,
            "discount": "<string>",
            "baseTotal": 123,
            "taxRate": "<string>",
            "taxTotal": 123,
            "total": 123,
            "other": "<string>",
            "customFields": {}
          }
        ]
      }
    ],
    "invoiceDate": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "2022-02-09"
    },
    "invoiceOrderDate": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "2022-02-09"
    },
    "paymentDateDue": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "2022-02-09"
    },
    "paymentAmountBase": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "paymentAmountTax": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "paymentAmountTotal": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "paymentAmountPaid": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "paymentAmountDue": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "invoiceNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "invoicePurchaseOrderNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierBusinessNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerBusinessNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "paymentReference": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bankAccountNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierVat": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerVat": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bpayBillerCode": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bpayReference": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bankSortCode": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bankIban": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bankSwift": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "bankBsb": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerContactName": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerCompanyName": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierCompanyName": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerBillingAddress": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": {
        "rawInput": "Blacksburg, VA",
        "formatted": "Blacksburg, VA, USA",
        "postalCode": "3124",
        "state": "Virginia",
        "stateCode": "TX",
        "country": "United States",
        "countryCode": "US",
        "streetNumber": "1",
        "street": "Smith St",
        "apartmentNumber": "12",
        "city": "Blacksburg",
        "latitude": "67.0124",
        "longitude": "67.0124",
        "poBox": "P.O. Box 123"
      }
    },
    "customerDeliveryAddress": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": {
        "rawInput": "Blacksburg, VA",
        "formatted": "Blacksburg, VA, USA",
        "postalCode": "3124",
        "state": "Virginia",
        "stateCode": "TX",
        "country": "United States",
        "countryCode": "US",
        "streetNumber": "1",
        "street": "Smith St",
        "apartmentNumber": "12",
        "city": "Blacksburg",
        "latitude": "67.0124",
        "longitude": "67.0124",
        "poBox": "P.O. Box 123"
      }
    },
    "supplierAddress": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": {
        "rawInput": "Blacksburg, VA",
        "formatted": "Blacksburg, VA, USA",
        "postalCode": "3124",
        "state": "Virginia",
        "stateCode": "TX",
        "country": "United States",
        "countryCode": "US",
        "streetNumber": "1",
        "street": "Smith St",
        "apartmentNumber": "12",
        "city": "Blacksburg",
        "latitude": "67.0124",
        "longitude": "67.0124",
        "poBox": "P.O. Box 123"
      }
    },
    "customerPhoneNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierPhoneNumber": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierFax": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customerEmail": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierEmail": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "supplierWebsite": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "currencyCode": {
      "id": 2,
      "rectangle": {
        "x0": 2.43,
        "y0": 4.55,
        "x1": 4.56,
        "y1": 6.32,
        "pageIndex": 1
      },
      "rectangles": [
        {
          "x0": 2.43,
          "y0": 4.55,
          "x1": 4.56,
          "y1": 6.32,
          "pageIndex": 1
        }
      ],
      "pageIndex": 0,
      "raw": "<string>",
      "confidence": 0.86,
      "classificationConfidence": 0.95,
      "textExtractionConfidence": 0.9,
      "isVerified": true,
      "isClientVerified": true,
      "isAutoVerified": true,
      "contentType": "<string>",
      "dataPoint": "<string>",
      "parsed": "<string>"
    },
    "customFields": {}
  },
  "meta": {
    "identifier": "<string>",
    "customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
    "fileName": "Document.pdf",
    "ready": true,
    "readyDt": "2020-12-10T01:43:32.276724Z",
    "failed": false,
    "expiryTime": "2023-11-07T05:31:56Z",
    "language": "en",
    "pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
    "parentDocument": {
      "identifier": "<string>"
    },
    "childDocuments": [
      {
        "identifier": "<string>"
      }
    ],
    "pages": [
      {
        "id": 2,
        "pageIndex": 0,
        "image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
        "height": 700,
        "width": 500,
        "rotation": 90,
        "imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
      }
    ],
    "isVerified": false,
    "reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
    "ocrConfidence": 0.97,
    "createdDt": "2023-11-07T05:31:56Z",
    "documentType": "resume",
    "regionBias": {
      "country": "<string>",
      "countries": [
        "<string>"
      ],
      "squareCoordinates": [
        123
      ],
      "strict": true
    },
    "isOcrd": true
  },
  "error": {
    "errorCode": "document_conversion_failed",
    "errorDetail": "Unable to convert word document"
  }
}
{
"clientVerifiedDt": "<string>",
"data": {
"tables": [
{
"rows": [
{
"code": "<string>",
"date": "2022-07-01",
"description": "<string>",
"unit": "<string>",
"unitPrice": 123,
"quantity": 123,
"discount": "<string>",
"baseTotal": 123,
"taxRate": "<string>",
"taxTotal": 123,
"total": 123,
"other": "<string>",
"customFields": {}
}
]
}
],
"invoiceDate": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "2022-02-09"
},
"invoiceOrderDate": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "2022-02-09"
},
"paymentDateDue": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "2022-02-09"
},
"paymentAmountBase": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"paymentAmountTax": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"paymentAmountTotal": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"paymentAmountPaid": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"paymentAmountDue": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"invoiceNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"invoicePurchaseOrderNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierBusinessNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerBusinessNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"paymentReference": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bankAccountNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierVat": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerVat": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bpayBillerCode": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bpayReference": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bankSortCode": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bankIban": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bankSwift": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"bankBsb": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerContactName": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerCompanyName": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierCompanyName": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerBillingAddress": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
}
},
"customerDeliveryAddress": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
}
},
"supplierAddress": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
}
},
"customerPhoneNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierPhoneNumber": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierFax": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customerEmail": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierEmail": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"supplierWebsite": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"currencyCode": {
"id": 2,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "<string>",
"dataPoint": "<string>",
"parsed": "<string>"
},
"customFields": {}
},
"meta": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
}
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

multipart/form-data

Invoice to upload, either via fileupload or URL to a file

file
file

File as binary data blob. Supported formats: PDF, DOC, DOCX, TXT, RTF, HTML, PNG, JPG, TIFF, ODT, XLS, XLSX

url
string | null

URL to download the invoice.

Example:

"https://api.affinda.com/static/sample_invoices/example.pdf"

identifier
string
deprecated

Deprecated in favor of customIdentifier.

customIdentifier
string

Specify a custom identifier for the document if you need one, not required to be unique.

fileName
string | null

Optional filename of the file

Example:

"Document.pdf"

wait
boolean
default:true

If "true" (default), will return a response only after processing has completed. If "false", will return an empty data object which can be polled at the GET endpoint until processing is complete.

Example:

true

rejectDuplicates
boolean | null

If "true", parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If "false", will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.

Example:

true

language
string | null

Language code in ISO 639-1 format. Must specify zh-cn or zh-tw for Chinese.

Example:

"en"

expiryTime
string<date-time> | null

The date/time in ISO-8601 format when the document will be automatically deleted. Defaults to no expiry.

regionBias
string

A JSON representation of the RegionBias object.

Example:

"{\"country\": \"vn\"}"

lowPriority
boolean

Explicitly mark this document as low priority.

Example:

true

Response

Only returned when wait=True, will return the created invoice

clientVerifiedDt
string | null
required
data
object
required
meta
object
required
error
object
required